Package org.apache.commons.codec

# Interface StringEncoder

All Superinterfaces:
  `Encoder`

All Known Implementing Classes:
  `AbstractCaverphone`, `BCodec`, `BeiderMorseEncoder`, `Caverphone`, `Caverphone1`, `Caverphone2`, `ColognePhonetic`, `DaitchMokotoffSoundex`, `DoubleMetaphone`, `MatchRatingApproachEncoder`, `Metaphone`, `Nysiis`, `QCodec`, `QuotedPrintableCodec`, `RefinedSoundex`, `Soundex`, `URLCodec`

public interface StringEncoder extends Encoder
Defines common encoding methods for String encoders.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `encode(String source)`
  Encodes a String and returns a String.

  ### Methods inherited from interface org.apache.commons.codec.Encoder

  `encode`

- ## Method Details

  - ### encode

    String encode(String source) throws EncoderException
    Encodes a String and returns a String.
    Parameters:
      `source` - the String to encode
    Returns:
      the encoded String
    Throws:
      `EncoderException` - thrown if there is an error condition during the encoding process.